WINNING_DEBUG = false


-- Insert our icon into chat messages.
Winning_Chat_Icon = function(msg)
    local icon = "\124TInterface\\PvPRankBadges\\PvPRank12:15:15:0:0\124t"
    return format("%s %s", icon, msg)
end


-- Convenience function for sending messages to the chat window.
Winning_Chat = function(msg)
    text = format("Winning: %s", msg)
    result = Winning_Chat_Icon(text)
	DEFAULT_CHAT_FRAME:AddMessage(result)
end


-- Logging function that takes addon debug state into account.
Winning_Log = function(msg)
	if WINNING_DEBUG then
        msg = format("[%s] - %s", date("%H:%M:%S", time()), msg)
        Winning_Chat(msg)
	end
end


-- Convert seconds into a duration string: "34:01"
Winning_Duration = function(total_seconds)
    local seconds = math.floor(total_seconds % 60)
    local minutes = math.floor(total_seconds / 60)
    return format("%d:%s", minutes, tostring(seconds):rpad(2, "0"))
end


-- Pads str to length len with char from right
-- Mostly barrowed from here: http://snipplr.com/view/13092/strlpad--pad-string-to-the-left/
string.lpad = function(str, len, char)
    local s = str or "";
    if char == nil then char = ' ' end
    return s .. string.rep(char, len - #s)
end

string.rpad = function(str, len, char)
    local s = str or "";
    if char == nil then char = ' ' end
    return string.rep(char, len - #s) .. s
end
